%global pypi_name wloc

%global _description %{expand:
This package provides a Wi-Fi geolocation library and tool.

WLoc is a simple command-line Wi-Fi geolocation tool, which can be used to
locate user by using global Wi-Fi database (no GPS required).

It supports different geolocation backends.}

Name: python-%{pypi_name}
Version: 1.0.1
Release: 2%{?dist}

# Main code - GPL-3.0-or-later.
# pywifi - MIT.
# Icon - Apache-2.0.
License: GPL-3.0-or-later AND MIT AND Apache-2.0
Summary: Simple Wi-Fi geolocation library and tool
URL: https://github.com/xvitaly/%{pypi_name}
Source0: %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: doxygen
BuildRequires: pandoc
BuildRequires: python3-devel

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %_description

%package doc
Summary: Documentation for the %{name}

%description doc
This package provides auto-generated by Doxygen documentation for
the %{name} package.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel
doxygen
pandoc packaging/assets/manpage.md -s -t man > packaging/assets/%{pypi_name}.1

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
install -D -p -m 0644 packaging/assets/%{pypi_name}.1 %{buildroot}%{_mandir}/man1/%{pypi_name}.1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE licenses/*
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1*

%files doc
%doc docs/html/*

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 1.0.1-1
- Updated to version 1.0.1.

* Mon Dec 12 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 1.0.0-1
- Updated to version 1.0.0.
- Converted license tag to SPDX.

* Mon Aug 08 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.9.2-1
- Updated to version 0.9.2.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.9.1-2
- Rebuilt for Python 3.11

* Sat May 07 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.9.1-1
- Updated to version 0.9.1.

* Sat May 07 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.9.0-1
- Updated to version 0.9.0.

* Mon Apr 18 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.8.0-1
- Updated to version 0.8.0.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 0.7.0-3
- Converted SPEC to 201x-era guidelines.

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 0.7.0-1
- Updated to version 0.7.0.

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.10

* Sun May 30 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 0.6.0-1
- Updated to version 0.6.0.

* Sat May 15 2021 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.0-1
- Updated to version 0.5.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 24 2020 Vitaly Zaitsev <vitaly@easycoding.org> - 0.4.0-4
- Added python3-setuptools to build requirements.

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 24 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 0.4.0-1
- Updated to version 0.4.0.
